#include<bits/stdc++.h>
using namespace std;
int n; 
long long l, h[1005];
int main(){
    cin >> n >> l;
    for(int i = 1; i <= n; i++){
        cin >> h[i];
        if(l > h[i]){
            cout << i << endl;
            return 0;
        }
    }
    cout << -1 << endl;
    return 0;
}